Bug 228475 - Review Request: hunspell-fr - French hunspell dictionaries
Summary: Review Request: hunspell-fr - French hunspell dictionaries
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review   
(Show other bugs)
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Keywords:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 10:03 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-02-20 09:28:11 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
wolfy: fedora-review+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 10:03:47 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-fr.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-fr-0.20060915-1.src.rpm
Description: French hunspell dictionaries


Similar to 227811

Comment 1 Caolan McNamara 2007-02-14 14:39:02 UTC
Any progress on this review, I believe it's the last of the hunspell dictionary
outstanding.

Comment 2 manuel wolfshant 2007-02-14 14:44:54 UTC
Xavier has assigned it to himself for review and I do not think it would be
polite from m part to step on his shoes.

Comment 3 manuel wolfshant 2007-02-15 15:10:18 UTC
taking over the review in order to finish with all the set.

GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- source matches upstream , sha1sum 
1591bf44789a78fda5d84c5820fecb87e19efb27 fr_FR-1990.zip
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license GPL stated in the tag is the same as the web site says and is
included in the package
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

APPROVED

Comment 4 Caolan McNamara 2007-02-20 09:28:11 UTC
 27896 (hunspell-fr): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.